qhold(1B)

NAME
qhold - hold PBS batch jobs

SYNOPSIS
qhold [-h <hold list>] <job ID> [<job ID> ...]
qhold --version

DESCRIPTION
Places one or more holds on a job. A job that has a hold is not eligible for execution. Can be used on jobs and job arrays, but not on subjobs or ranges of subjobs. If a job identified by job ID is in the queued, held, or waiting states, then all that occurs is that the hold type is added to the job. The job is then put into the held state if it resides in an execution queue. If the job is running, the result of the qhold command depends upon whether the job can be checkpointed. The job can be checkpointed if the OS supports checkpointing, or if the application being checkpointed supports checkpointing. See the PBS Professional Administrator's Guide. If the job can be checkpointed, the following happens:
    The job is checkpointed and its execution is interrupted. The resources assigned to the job are released. The job is placed in the held state in the execution queue. The job's Hold_Types attribute is set to u for user hold.
If checkpoint / restart is not supported, qhold simply sets the job's Hold_Types attribute to u. The job continues to execute. A job's dependency places a system hold on the job. When the dependency is satisfied, the system hold is removed. This system hold is the same as the one set by an administrator. If the administrator sets a system hold on a job with a dependency, when the dependency is satisfied, the job becomes eligible for execution. If the job is in the process of provisioning, it cannot be held. A hold on a job can be released by the administrator, a Manager, an Operator, or the job owner, when the job reaches the time set in its Execution_Time attribute, or when a dependency clears. See qrls.1B. Effect of Privilege on Behavior
The following table shows the holds and the privilege required to set each:
    Hold Meaning Who Can Set
    --------------------------------------------------------------

    u   User Job owner, Operator, Manager,
                      administrator, root

    o   Other Operator, Manager, administrator, root

    s   System Manager, administrator, root,
                      PBS (dependency)

    n   None Job owner, Operator, Manager,
                      administrator, root

    p   Bad password Administrator, root

OPTIONS

(no options)
    Same as -h u. Applies the user hold to the specified job(s).

-h <hold list>
    Types of holds to be placed on the job(s). The hold list argument is a string consisting of one or more of the letters "u" , "o" , or "s" in any combination, or one of the letters "n" or "p" .

--version
    The qhold command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
The qhold command can be used on jobs and job arrays, but not on subjobs or ranges of subjobs. The qhold comand accepts one or more job IDs in the form:
    <sequence number>[.<server name>][@<server name>]
    <sequence number>[][.<server name>][@<server name>]
Note that some shells require that you enclose a job array identifier in double quotes.

STANDARD ERROR
The qhold command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all operands

Greater than zero
    If the qhold command fails to process any operand

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide, qrls(1B), qalter(1B), qsub(1B), pbs_alterjob(3B), pbs_holdjob(3B), pbs_rlsjob(3B), pbs_job_attributes(7B), pbs_resources(7B)